.logo-mobile {
    display: none;
}

.btn-third {
    display: none;
}

.footer-links-contact {
    display: none;
}

@media screen and (max-width: 950px) {
    .nav-links {
        display: none;
    }

    .logo {
        display: none;
    }

    .logo-mobile {
    display: flex;
    font-size: 1.8rem;
    font-weight: bold;
    color: #ff4081;
    text-shadow: 0 0 10px rgba(255, 64, 129, 0.7);
    text-decoration: none;
    }

    .btn-third {
    display: inline-block;
    background: linear-gradient(45deg, #ff69d4, #03a9f4);
    color: white;
    box-shadow: 0 5px 15px rgba(0, 188, 212, 0.4);
    }
    
    .footer-links-contact{
        display: flex;
    }
}

@media screen and (max-width: 500px) {
    .map-placeholder {
        padding-left: 10px;
        padding-right: 10px;
        text-align: center;
    }
}

@media screen and (max-width: 475px) {
    .auth-btn {
        padding: 0.6rem 0.5rem;
    }
    
    .nav-auth {
        padding-left: 15px;
    }

    .logo {
        display: none;
    }

    .logo-mobile {
    display: flex;
    font-size: 1.8rem;
    font-weight: bold;
    color: #ff4081;
    text-shadow: 0 0 10px rgba(255, 64, 129, 0.7);
    text-decoration: none;
    }
}

@media screen and (max-width: 425px) {
    .registration-form {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
    }

    .form-title {
        font-size: 1.6rem;
    }

    .footer-links-contact {
        display: flex;
        font-size: 1.2rem;
        padding-bottom: 10px;
    }
}

@media screen and (max-width: 375px) {
    .auth-btn {
        padding: 0.5rem 0.2rem;
        font-size: 0.85rem;
    }

    .submit-btn {
        font-size: 0.9rem;
    }

    .form-title {
        font-size: 1.4rem;
    }
}